%define name    namt
%define version 1.2.2
%define release csa5

Summary:    Nor-Amberd Myuon Telescope Driver
Name:       %{name}
Version:    %{version}
Release:    %{release}
Copyright:  GPL
Group:	    Drivers
Distribution:	DarkLin
Vendor:		DarkSoft
Packager:	Kain <ds7fff@myrealbox.com>
Source0:     %{name}-%{version}.tar.bz2
BuildRoot:  /var/tmp/%{name}-%{version}-root

%description
+ Nerses please add here small description +

%package client
Summary:	Nor-Amberd Myuon Telescope Client
Group:		Drivers

%description client
+ Nerses please add here small description +

    
%prep
%setup

%build
cd DrvServer
make
cd ../Client
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/cron.hourly

install -m 755 DrvServer/namt-srv $RPM_BUILD_ROOT/usr/bin
install -m 755 DrvServer/namt-setup.sh $RPM_BUILD_ROOT/usr/bin
install -m 644 DrvServer/stty.sv $RPM_BUILD_ROOT/etc
install -m 644 DrvServer/namt.cfg $RPM_BUILD_ROOT/etc
install -m 755 Client/namt-simple $RPM_BUILD_ROOT/usr/bin
install -m 755 namt.cron /etc/cron.hourly/namt
install -m 755 namt.init /etc/rc.d/init.d/namt

%post
if [ $1 = 1 ]; then
    if [ -f %{_sysconfdir}/rc.d/init.d/namt ]; then
	%{_sysconfdir}/rc.d/init.d/namt start
    fi
    chkconfig --add namt
    chkconfig --level 2345 namt on
else
    if [ -f %{_sysconfdir}/rc.d/init.d/namt ]; then
	%{_sysconfdir}/rc.d/init.d/namt restart
    fi
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_sysconfdir}/rc.d/init.d/namt ]; then
	%{_sysconfdir}/rc.d/init.d/namt stop
    fi
    chkconfig --del namt
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%config(noreplace) /etc/namt.cfg
/usr/bin/namt-srv
/usr/bin/namt-setup.sh
/etc/rc.d/init.d
/etc/cron.hourly
/etc/stty.sv


%files client
/usr/bin/namt-simple
